# Interface NameRecord

#### Hierarchy

- NameRecord

- Defined in packages/db/typings/schema.d.ts:678

#####
Index

### Properties

history
id
previous
type

## Properties

### history

history: (null | NameRecord)[]

- Defined in packages/db/typings/schema.d.ts:680

### id

id: string

- Defined in packages/db/typings/schema.d.ts:681

### previous

previous: null | NameRecord

- Defined in packages/db/typings/schema.d.ts:679

### type

type: string

- Defined in packages/db/typings/schema.d.ts:682

Generated using TypeDoc